summaryrefslogtreecommitdiffstats
path: root/tests/glbl_setenv.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/glbl_setenv.sh')
-rwxr-xr-xtests/glbl_setenv.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/tests/glbl_setenv.sh b/tests/glbl_setenv.sh
new file mode 100755
index 0000000..1387bbd
--- /dev/null
+++ b/tests/glbl_setenv.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+# This is part of the rsyslog testbench, licensed under ASL 2.0
+. ${srcdir:=.}/diag.sh init
+generate_conf
+add_conf '
+global(environment="http_proxy=http://127.0.0.1")
+
+set $!prx = getenv("http_proxy");
+
+template(name="outfmt" type="string" string="%$!prx%\n")
+:msg, contains, "msgnum:" action(type="omfile" template="outfmt"
+ file=`echo $RSYSLOG_OUT_LOG`)
+'
+startup
+injectmsg 0 1
+shutdown_when_empty # shut down rsyslogd when done processing messages
+wait_shutdown # we need to wait until rsyslogd is finished!
+
+echo 'http://127.0.0.1' | cmp - $RSYSLOG_OUT_LOG
+if [ ! $? -eq 0 ]; then
+ echo "invalid content seen, $RSYSLOG_OUT_LOG is:"
+ cat $RSYSLOG_OUT_LOG
+ error_exit 1
+fi;
+
+exit_test